> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a webhook endpoint

> Update a webhook endpoint



## OpenAPI

````yaml Flutterwave_v4_Open_API.json put /profile/webhook-endpoints/{id}
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /profile/webhook-endpoints/{id}:
    put:
      tags:
        - Webhook Endpoints
      summary: Update a webhook endpoint
      description: Update a webhook endpoint
      operationId: webhook_endpoints_put
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - in: path
          required: true
          name: id
          schema:
            type: string
            nullable: false
            description: ID of the webhook endpoint
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/webhook_endpoint_update_in'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    $ref: '#/components/schemas/status'
                  message:
                    type: string
                  data:
                    $ref: '#/components/schemas/webhook_endpoint'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/409'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    '409':
      description: Conflict
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: The request conflicts with another request
        error:
          type: object
          properties:
            type:
              type: string
              example: RESOURCE_CONFLICT
            code:
              type: string
              example: '10409'
            message:
              type: string
              example: Resource conflict
    webhook_endpoint_update_in:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/meta'
        url:
          type: string
          description: Endpoint where webhooks would be sent
        supported_event_types:
          type: array
          items:
            type: string
          description: Event types accepted by endpoint
        status:
          type: string
          enum:
            - enabled
            - disabled
          description: >-
            Status of webhook endpoint showing if it's allowed to receive
            webhooks
        secret:
          type: string
          minLength: 36
          maxLength: 72
          description: >-
            Secret used in generating verification hash for webhook payloads
            sent to endpoint
        description:
          type: string
          description: Description of the webhook endpoint
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    webhook_endpoint:
      type: object
      required:
        - url
        - secret
      properties:
        id:
          type: string
          description: ID of webhook endpoint
        url:
          type: string
          description: Endpoint where webhooks would be sent
        supported_event_types:
          type: array
          items:
            type: string
          description: Event types accepted by endpoint
        status:
          type: string
          enum:
            - enabled
            - disabled
          description: >-
            Status of webhook endpoint showing if it's allowed to receive
            webhooks
        secret:
          type: string
          minLength: 12
          maxLength: 36
          description: >-
            Secret used in generating verification hash for webhook payloads
            sent to endpoint
        meta:
          $ref: '#/components/schemas/meta'
        description:
          type: string
          description: Description of the webhook endpoint
        created_datetime:
          type: string
          description: The date and time when the webhook endpoint was created.
          format: date-time
    meta:
      type: object
      additionalProperties:
        type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````